Skala
Stock takes

Replace a stock take

Completely replaces the data of an existing stock take with the provided payload.

PUT
/api/stock_takes/{id}

Completely replaces the data of an existing stock take with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTake identifier

Request Body

application/json

The updated StockTake resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_takes/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "reason": "string",
  "code": "string",
  "location": {
    "id": 0,
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "description": "string",
  "items": [
    {
      "id": 0,
      "stockVariant": {
        "id": 0,
        "stock": {
          "id": 0,
          "name": "string",
          "category": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "unit": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "category": {
        "id": 0,
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "internalBarcode": "string",
      "supplierBarcode": "string",
      "registeredBarcode": "string",
      "batchBarcode": "string",
      "batchNumber": "string",
      "note": "string",
      "quantity": "string",
      "batch": {
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "inStock": "string",
      "discrepancy": "string",
      "trackType": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "number": 0,
  "status": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty